<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlGpAdcCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlGpAdcCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>API radarSS GPADC API MEAS SET SBC M_API_AR_RF_GPADC_API_SET_SB.  
 <a href="structrl_gp_adc_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0e7913b0a85259f2adacfbd468578d2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e7913b0a85259f2adacfbd468578d2c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_gp_adc_cfg__t.html#a0e7913b0a85259f2adacfbd468578d2c">enable</a></td></tr>
<tr class="memdesc:a0e7913b0a85259f2adacfbd468578d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable different sensors <br />
 [b0] 1: ANATEST1 Enable, 0: ANATEST1 Disable <br />
 [b1] 1: ANATEST2 Enable, 0: ANATEST2 Disable <br />
 [b2] 1: ANATEST3 Enable, 0: ANATEST3 Disable <br />
 [b3] 1: ANATEST4 Enable, 0: ANATEST4 Disable <br />
 [b4] 1: ANAMUX Enable, 0: ANAMUX Disable <br />
 [b5] 1: VSENSE Enable, 0: VSENSE Disable <br />
 [b7:6] Reserved <br />
. <br /></td></tr>
<tr class="separator:a0e7913b0a85259f2adacfbd468578d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1b7fa10cbf645770f35d01055a6dde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf1b7fa10cbf645770f35d01055a6dde"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_gp_adc_cfg__t.html#acf1b7fa10cbf645770f35d01055a6dde">bufferEnable</a></td></tr>
<tr class="memdesc:acf1b7fa10cbf645770f35d01055a6dde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable buffer for each input <br />
 [b0] 1: ANATEST1 buffer enable, 0: ANATEST1 buffer disable <br />
 [b1] 1: ANATEST2 buffer enable, 0: ANATEST2 buffer disable <br />
 [b2] 1: ANATEST3 buffer enable, 0: ANATEST3 buffer disable <br />
 [b3] 1: ANATEST4 buffer enable, 0: ANATEST4 buffer disable <br />
 [b4] 1: ANAMUX buffer enable, 0: ANAMUX buffer disable <br />
 [b7:5] Reserved <br />
. <br /></td></tr>
<tr class="separator:acf1b7fa10cbf645770f35d01055a6dde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dfae6283b41c5288479b7756801129f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dfae6283b41c5288479b7756801129f"></a>
<a class="el" href="structrl_gp_adc_samples__t.html">rlGpAdcSamples_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_gp_adc_cfg__t.html#a1dfae6283b41c5288479b7756801129f">numOfSamples</a> [RL_MAX_GPADC_SENSORS]</td></tr>
<tr class="memdesc:a1dfae6283b41c5288479b7756801129f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure number of sample to be <br />
 collected for each sensor This array of numOfSamples is for the sensors <br />
 which are enabled in above parameter 'enable' <br />
. <br /></td></tr>
<tr class="separator:a1dfae6283b41c5288479b7756801129f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad857518d4ed6b8efe6a0fe7e114a5fa0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad857518d4ed6b8efe6a0fe7e114a5fa0"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_gp_adc_cfg__t.html#ad857518d4ed6b8efe6a0fe7e114a5fa0">reserved0</a></td></tr>
<tr class="memdesc:ad857518d4ed6b8efe6a0fe7e114a5fa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad857518d4ed6b8efe6a0fe7e114a5fa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>API radarSS GPADC API MEAS SET SBC M_API_AR_RF_GPADC_API_SET_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
